#!/usr/bin/sh
# 	Copyright (c) 2003-2005 The SCO Group, Inc. All Rights Reserved. 

#ident	"@(#)opensrc:src/tiff/tiff.sh /main/uw714mp/5"

#
# This directory contains:
#
# dist/		tiff-3.7.3 dist. from http://www.remotesensing.org/libtiff/
# patches/	Patches to be applied.
# tiff.sh	Build script -- this file.
# tiff.depend	Depend file.
#

set -x
set -e

# Apply patches.
cd dist
for patch in 3.7.3-port
do
	[ -f ../patches/${patch}.applied ] || {
		/bin/patch -c -p1 -i ../patches/${patch}.patch
		/bin/date > ../patches/${patch}.applied
	}
done

# Configure and build in a separate work directory.
cd ..
/bin/mkdir -p work
cd work

# Use nm from xenv.
NM="i386nm -p"; export NM

# We also need gmake.
MAKE=/usr/add-on/public/bin/gmake; export MAKE

../dist/configure \
	--prefix=/usr \
	--host=i386-unknown-sysv5UnixWare7.1.4 \
	--build=i386-unknown-sysv5UnixWare7.1.4 \
	--enable-cxx \
	--with-x \
	--x-includes=$TOOLS/usr/X11R6.1/include \
	--x-libraries=$TOOLS/usr/X11R6.1/lib

$MAKE

# Install headers and libraries in cross environment.
cd libtiff
$MAKE DESTDIR=$TOOLS install

# Install in $ROOT/$MACH.
$MAKE DESTDIR=$ROOT/$MACH install

cd ../tools
$MAKE DESTDIR=$ROOT/$MACH install

cd ../man
$MAKE DESTDIR=$ROOT/$MACH install

# Install copyright.
cd ../../dist
$INSTALL -d $ROOT/$MACH/usr/share/tiff/
$INSTALL -m 0444 COPYRIGHT $ROOT/$MACH/usr/share/tiff/

exit 0
